org.apache.sysds.common

## Enum Types.ParamBuiltinOp

- java.lang.Object
- - java.lang.Enum<Types.ParamBuiltinOp>
  - - org.apache.sysds.common.Types.ParamBuiltinOp

All Implemented Interfaces:
  Serializable, Comparable<Types.ParamBuiltinOp>

Enclosing class:
  Types

    public static enum Types.ParamBuiltinOp
    extends Enum<Types.ParamBuiltinOp>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTODIFF`
`CDF`
`GROUPEDAGG`
`INVALID`
`INVCDF`
`LIST`
`LOWER_TRI`
`PARAMSERV`
`REPLACE`
`REXPAND`
`RMEMPTY`
`TOKENIZE`
`TOSTRING`
`TRANSFORMAPPLY`
`TRANSFORMCOLMAP`
`TRANSFORMDECODE`
`TRANSFORMMETA`
`UPPER_TRI`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.ParamBuiltinOp` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.ParamBuiltinOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTODIFF

    public static final Types.ParamBuiltinOp AUTODIFF

#### INVALID

    public static final Types.ParamBuiltinOp INVALID

#### CDF

    public static final Types.ParamBuiltinOp CDF

#### INVCDF

    public static final Types.ParamBuiltinOp INVCDF

#### GROUPEDAGG

    public static final Types.ParamBuiltinOp GROUPEDAGG

#### RMEMPTY

    public static final Types.ParamBuiltinOp RMEMPTY

#### REPLACE

    public static final Types.ParamBuiltinOp REPLACE

#### REXPAND

    public static final Types.ParamBuiltinOp REXPAND

#### LOWER_TRI

    public static final Types.ParamBuiltinOp LOWER_TRI

#### UPPER_TRI

    public static final Types.ParamBuiltinOp UPPER_TRI

#### TRANSFORMAPPLY

    public static final Types.ParamBuiltinOp TRANSFORMAPPLY

#### TRANSFORMDECODE

    public static final Types.ParamBuiltinOp TRANSFORMDECODE

#### TRANSFORMCOLMAP

    public static final Types.ParamBuiltinOp TRANSFORMCOLMAP

#### TRANSFORMMETA

    public static final Types.ParamBuiltinOp TRANSFORMMETA

#### TOKENIZE

    public static final Types.ParamBuiltinOp TOKENIZE

#### TOSTRING

    public static final Types.ParamBuiltinOp TOSTRING

#### LIST

    public static final Types.ParamBuiltinOp LIST

#### PARAMSERV

    public static final Types.ParamBuiltinOp PARAMSERV

### Method Detail

#### values

    public static Types.ParamBuiltinOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.ParamBuiltinOp c : Types.ParamBuiltinOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.ParamBuiltinOp valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null